# Class PojoHolder

java.lang.Object
org.apache.tomcat.websocket.PojoHolder

All Implemented Interfaces:
  `ClientEndpointHolder`

public class PojoHolder extends Object implements ClientEndpointHolder

## Constructor Summary

Constructors
Constructor
Description
`PojoHolder(Object pojo, ClientEndpointConfig clientEndpointConfig)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getClassName()`
`Endpoint`
`getInstance(InstanceManager instanceManager)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PojoHolder

public PojoHolder(Object pojo, ClientEndpointConfig clientEndpointConfig)

## Method Details

### getClassName

public String getClassName()

Specified by:
  `getClassName` in interface `ClientEndpointHolder`

### getInstance

public Endpoint getInstance(InstanceManager instanceManager) throws DeploymentException

Specified by:
  `getInstance` in interface `ClientEndpointHolder`
Throws:
  `DeploymentException`